import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/bank/returns/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDownloadList = (params) => {
  return request({
    url: '/api/bank/returns/getList',
    method: 'get',
    params: {
      ...params,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/bank/returns/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/bank/returns/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/bank/returns/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/bank/returns/submit',
    method: 'post',
    data: row
  })
}

export const returnsSubmit = (row) => {
  return request({
    url: '/api/bank/returns/returnsSubmit',
    method: 'post',
    data: row
  })
}


export const issue = (row) => {
  return request({
    url: '/api/bank/returns/issue',
    method: 'post',
    data: row
  })
}


export const returnsApprove = (row) => {
  return request({
    url: '/api/bank/returns/returnsApprove',
    method: 'post',
    data: row
  })
}

export const settingSave = (row) => {
  return request({
    url: '/api/bank/returns/settingSave',
    method: 'post',
    data: row
  })
}

export const getSetting = () => {
  return request({
    url: '/api/bank/returns/getSetting',
    method: 'get',
    params: {
    }
  })
}


